Software Development Kit (SDK) and API Discussions

Highlighted

NetApp API perl scripts are not working after ONTAP upgrade

Hi,

We have upgraded ONTAP version from 9.1P6 to 9.3P7. After the firware upgrade our ONTAP API scripts are not working getting below error. We are not sure whether this is compatible issue or not. Same same scripts are working on the other clusters, but we have issue with the cluster which got migrated to 9.3P7. 

 

13001:NaServer::parse_xml - Error in parsing xml:

syntax error at line 1, column 49, byte 49:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">

================================================^

<html><head>

<title>400 Bad Request</title>

at /linux_shared/perl/perl_5_16_2/install/lib/site_perl/5.16.2/x86_64-linux/XML/Parser.pm line 187.

 

Here is the existing API and Perl version details.

ONTAP API
netapp_perl_api_5.2.1R1

Perl Version
perl 5.16.2

 

Regards,

Bharat

2 REPLIES 2
Highlighted

Re: NetApp API perl scripts are not working after ONTAP upgrade

Have you pulled down the updated perl modules that are contained in the 9.3SDK? Also, what is the SVM name you are attempting to connect to?

Re: NetApp API perl scripts are not working after ONTAP upgrade

Yes, I have tried with 9.3 API module and i am getting different error. Here is the error message i am getting 

 

Deep recursion on subroutine "Net::SSLeay::AUTOLOAD" at /linux_shared/perl/perl_5_16_2/install/lib/site_perl/5.16.2/x86_64-linux/Net/SSLeay.pm line 350.

^C

 

I am using vserver name as gbvnanfsl01 and before the upgrade all scripts are working fine. I haven't changed anything on script. Only change is ONTAP upgrade. 

Cloud Volumes ONTAP
Review Banner
All Community Forums
Public